<?php
/**
 * Abstract widget template.
 *
 * @package The7
 */

use Elementor\Widget_Base;

defined( 'ABSPATH' ) || exit;

/**
 * Class Abstract_Template
 */
abstract class Abstract_Template {

	/**
	 * Widget object.
	 *
	 * @var Widget_Base
	 */
	public $widget;

	/**
	 * Template constructor.
	 *
	 * @param Widget_Base $widget Widget objects.
	 */
	public function __construct( $widget ) {
		$this->widget = $widget;
	}

	/**
	 * Proxy for `Elementor\Controls_Stack::get_settings_for_display()`.
	 *
	 * @param null|string $setting Find this setting.
	 *
	 * @return mixed
	 */
	public function get_settings( $setting = null ) {
		return $this->widget->get_settings_for_display( $setting );
	}
}
